#
# spec file for package bbtools (Version 2001.8.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake glib glib-devel gpp gtk gtk-devel libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         bbtools
Copyright:    GPL
Group:        X11/Window Managers
Provides:     bbtools
Autoreqprov:  on
Requires:     blackbox
Version:      2001.8.9
Release:      4
Summary:      Tools for the Blackbox Window Manager
Url:          http://bbtools.thelinuxcommunity.org/
Source:       bbdate-0.2.1.tar.gz
Source1:      bbkeys-0.8.2.tar.gz
Source2:      bbmail-0.6.10.tar.gz
Source3:      bbpager-0.3.0.tar.gz 
Source4:      bbppp-0.2.1.tar.gz 
Source5:      bbsload-0.2.5.tar.gz
Source6:      bbtime-0.1.3.tar.gz
Source7:      bbrun-1.1.tar.gz
Patch:        bbdate.newgcc.dif
Patch1:       bbmail.newgcc.dif
Patch2:       bbpager.newgcc.dif
Patch3:       bbppp.newgcc.dif
Patch4:       bbsload.newgcc.dif
Patch5:       bbtime.newgcc.dif
Patch6:       bbrun.includes.dif
BuildRoot:    /var/tmp/%{name}-build
%define list bbdate bbkeys bbmail bbpager bbppp bbsload bbtime

%description
Tools for the Blackbox windowmanager. Includes:
+ bbmail
+ bbkeys
+ bbppp
+ bbpager
+ bbdate
+ bbtime
+ bbsload
+ bbrun

Authors:
--------
    <kojak@oakhill.demon.nl> 
    John Kennis <j.m.b.m.kennis@ele.tue.nl> 
    Brad Hughes <bhughes@tcac.net> 
    John A. Martin <jam@jamux.com> 
    Nathan Clemons <linux@ici.net> 
    Jason Kasper (vanRijn) <j_dot_kasper@usa.net> 
    Laurie Harper <laurieh@groveware.com> 
    Eric Davis <ead@pobox.com> 
    Bill Beal <beal@tunl.duke.edu> 
    Martijn Pieterse <pieterse@xs4all.nl> 
    Antoine Nulle <warp@xs4all.nl> 
    Josh King <jking@dwave.net>

SuSE series: xwm

%prep
%setup -c -b1 -b2 -b3 -b4 -b5 -b6 -b7
cd bbdate-*
%patch -p1
cd ../bbmail-*
%patch1 -p1
cd ../bbpager-*
%patch2 -p1
cd ../bbppp-*
%patch3 -p1
cd ../bbsload-*
%patch4 -p1
cd ../bbtime-*
%patch5 -p1
cd ../bbrun-*
%patch6 -p1

%build
for i in %{list}; do
    cd $i-*
    %{suse_update_config -f}
    aclocal
    automake
    autoconf
    CFLAGS="$RPM_OPT_FLAGS" ./configure \
                             --prefix=/usr \
			     --exec-prefix=/usr/X11R6 \
		             --mandir=%{_mandir} \
			     --infodir=%{_infodir}
    make
    cd ..
done
cd bbrun-*/bbrun
make

%install
rm -rf $RPM_BUILD_ROOT
for i in %{list}; do
    cd $i-*
    make "DESTDIR=$RPM_BUILD_ROOT" install
    install -d -m 755 ../doc/$i
    cp AUTHORS BUGS ChangeLog NEWS README* TODO ../doc/$i
    cd ..
done
cp bbtime-*/COPYING doc/
cp bbrun-*/bbrun/bbrun $RPM_BUILD_ROOT/usr/X11R6/bin/
rm $RPM_BUILD_ROOT/usr/share/bbtools/README*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
/usr/X11R6/bin/*
/usr/share/bbtools

%changelog -n bbtools
* Thu Aug 09 2001 - jam@suse.de
-  Updated bbkeys to 0.8.2
* Tue Aug 07 2001 - jam@suse.de
- Updated bbkeys to 0.8.1
* Wed Jul 18 2001 - mmj@suse.de
- Added bbrun
* Tue Apr 03 2001 - mmj@suse.de
- Fixed all of it to compile with gcc > 2.95
* Thu Mar 15 2001 - mmj@suse.de
- updated to bbkeys-0.3.6
* Wed Mar 14 2001 - mmj@suse.de
- updated to bbppp-0.2.1
* Thu Feb 08 2001 - cihlar@suse.cz
- fixed to compile
* Wed Jan 24 2001 - cihlar@suse.cz
- fixed to compile on ia64
* Wed Nov 29 2000 - mmj@suse.de
- Updated to newest version of bbpager, which fixes a segfault bug
* Wed Nov 15 2000 - cihlar@suse.cz
- fixed Provides: tag
* Tue Nov 07 2000 - cihlar@suse.cz
- removed bbapm, apmd is i386 only
* Thu Oct 26 2000 - cihlar@suse.cz
- package created
